<?php
namespace Concrete\Package\AddRemoveClassIdPlugin;

use Concrete\Core\Editor\Plugin;
use \Core;
use \AssetList;

class Controller extends \Concrete\Core\Package\Package
{

    protected $pkgHandle = 'add_remove_class_id_plugin';
    protected $appVersionRequired = '5.7.4';
    protected $pkgVersion = '0.9';

    public function getPackageDescription()
    {
        return t("Add and remove classes and ID's.");
    }

    public function getPackageName()
    {
        return t("Add Remove Classes and ID's");
    }

    public function on_start()
    {
        $al = AssetList::getInstance();
        $al->register(
            'javascript', 'editor/plugin/add_remove_class_id', 'js/redactor/add_remove_class_id.js',
                            array(), 'add_remove_class_id_plugin'
        );
        $al->register(
            'css', 'editor/plugin/add_remove_class_id', 'css/redactor/add_remove_class_id.css',
                            array(), 'add_remove_class_id_plugin'
        );
        $al->registerGroup('editor/plugin/add_remove_class_id', array(
            array('javascript', 'editor/plugin/add_remove_class_id'),
            array('css', 'editor/plugin/add_remove_class_id')
        ));
        $plugin = new Plugin();
        $plugin->setKey('add_remove_class_id');
        $plugin->setName('Add Remove Classes and ID\'s');
        $plugin->requireAsset('editor/plugin/add_remove_class_id');

        Core::make('editor')->getPluginManager()->register($plugin);
    }

}